<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Marketplace
 * @author    Webkul
 * @copyright Copyright (c) 2010-2016 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

// @codingStandardsIgnoreFile

/** @var $block \Webkul\Marketplace\Block\Account\Editprofile */ 

$helper = $this->helper('Webkul\Marketplace\Helper\Data');
$partner=$helper->getSeller();
$profile_hint_status = $helper->getProfileHintStatus();
?>
<form action="<?php echo $block->getUrl('marketplace/account/editProfilePost', ["_secure" => $this->getRequest()->isSecure()]) ?>" enctype="multipart/form-data" method="post" data-role="form-profile-validate" data-mage-init='{"validation":{}}'>
	<div class="wk-mp-page-title page-title">
		<h2><?php echo __('Edit Profile Information') ?></h2>
		<button class="button wk-mp-btn btn btn-primary" title="<?php echo __('Save Profile') ?>" type="submit" id="save-btn">
			<span><span><?php echo __('Save Profile') ?></span></span>
		</button>
	</div>
	<?php echo $block->getBlockHtml('formkey')?>
	<div class="wk-mp-design">
		<fieldset class="fieldset info wk-mp-fieldset">
			<legend class="legend"><span><?php echo __('Profile Information') ?></span></legend>
			<div class="field profile">
				<label for="twitterid"><?php echo __('Twitter ID') ?> </label>
				<input type="checkbox" name="tw_active" value="1" title="<?php echo __('Allow to Display Twitter Icon in Profile Page') ?>" <?php if($partner['tw_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<?php
				if($profile_hint_status && $helper->getProfileHintTw()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintTw() ?>"/>
				<?php
				} ?>
				<div class="control">
					<input type="text" id="twitter_id" name="twitter_id" value="<?php echo $partner['twitter_id']; ?>" title="twitterid" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label for="facebookid"><?php echo __('Facebook ID') ?> </label>
				<input type="checkbox" name="fb_active" value="1" title="<?php echo __('Allow to Display Facebook Icon in Profile Page') ?>" <?php if($partner['fb_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<?php
				if($profile_hint_status && $helper->getProfileHintFb()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintFb() ?>"/>
				<?php
				} ?>
				<div class="control">
					 <input type="text" id="facebook_id" name="facebook_id" value="<?php echo $partner['facebook_id']; ?>" title="facebookid" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Instagram ID') ?> </label>
				<input type="checkbox" name="instagram_active" value="1" title="<?php echo __('Allow to Display Instagram Icon in Profile Page') ?>" <?php if($partner['instagram_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<div class="control">
					 <input type="text" id="instagram_id" name="instagram_id" value="<?php echo $partner['instagram_id']; ?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Google Plus ID') ?> </label>
				<input type="checkbox" name="gplus_active" value="1" title="<?php echo __('Allow to Display Google Plus Icon in Profile Page') ?>" <?php if($partner['gplus_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<div class="control">
					 <input type="text" id="gplus_id" name="gplus_id" value="<?php echo $partner['gplus_id']; ?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Youtube ID') ?> </label>
				<input type="checkbox" name="youtube_active" value="1" title="<?php echo __('Allow to Display Youtube Icon in Profile Page') ?>" <?php if($partner['youtube_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<div class="control">
					 <input type="text" id="youtube_id" name="youtube_id" value="<?php echo $partner['youtube_id']; ?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Vimeo ID') ?> </label>
				<input type="checkbox" name="vimeo_active" value="1" title="<?php echo __('Allow to Display Vimeo Icon in Profile Page') ?>" <?php if($partner['vimeo_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<div class="control">
					 <input type="text" id="vimeo_id" name="vimeo_id" value="<?php echo $partner['vimeo_id']; ?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Pinterest ID') ?> </label>
				<input type="checkbox" name="pinterest_active" value="1" title="<?php echo __('Allow to Display Pinterest Icon in Profile Page') ?>" <?php if($partner['pinterest_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<div class="control">
					 <input type="text" id="pinterest_id" name="pinterest_id" value="<?php echo $partner['pinterest_id']; ?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Moleskine ID') ?> </label>
				<input type="checkbox" name="moleskine_active" value="1" title="<?php echo __('Allow to Display Moleskine Icon in Profile Page') ?>" <?php if($partner['moleskine_active'] == 1){ echo "checked='checked'";} ?> style="margin: 5px;">
				<div class="control">
					 <input type="text" id="moleskine_id" name="moleskine_id" value="<?php echo $partner['moleskine_id']; ?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label><?php echo __('Contact Number') ?> </label>
				<?php
				if($profile_hint_status && $helper->getProfileHintCn()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintCn() ?>"/>
				<?php
				} ?>
				<div class="control">
					 <input type="text" id="contact_number" name="contact_number" value="<?php echo $partner['contact_number']; ?>" title="<?php echo __('Enter Contact Number') ?>" class="input-text" placeholder="<?php echo __('Enter Contact Number with country code ex: (123) 456-7890') ?>"/>
				</div>
			</div>
			<?php
			if($helper->getActiveColorPicker()){?>
				<div class="field profile">
					<label for="background_width"><?php echo __('Theme : Background Color') ?> </label>
					<?php
					if($profile_hint_status && $helper->getProfileHintBc()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintBc() ?>"/>
					<?php
					} ?>
					<div class="control">
						 <input type="text" id="background_width" name="background_width" value="<?php echo $partner['background_width']; ?>" title="background_width" class="input-text" />
						 <span class="color-pick" data-role="color-pick" data-mage-init='{"colorPickerFunction":{"spanBackgroundColor" : "<?php echo $partner['background_width']?>", "getActiveColorPickerStatus" : "<?php echo $helper->getActiveColorPicker()?>", "backgroundWidthSelector" : "#background_width"}}'></span>
					</div>
				</div>
			<?php
			} ?>
			<div class="field profile">
				<label for="shoptitle"><?php echo __('Shop Title') ?></label>
				<?php
				if($profile_hint_status && $helper->getProfileHintShop()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintShop() ?>"/>
				<?php
				} ?>
				<div class="control">
					 <input type="text" id="shop_title" name="shop_title" value="<?php echo $partner['shop_title']; ?>" title="<?php echo __('Shop Title')?>" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label for="banner-pic"> <?php echo __('Company Banner') ?> </label>
				<?php
				if($profile_hint_status && $helper->getProfileHintBanner()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintBanner() ?>"/>
				<?php
				} ?>
				<label class="control-notification control-notification1">(<?php echo __("Upload 700px X 100px for better look"); ?>)</label>
				<div class="control">
					<input type="file" id="banner-pic" name="banner_pic"  title="Banner Pic" class="input-text banner" size="26" />
					<div class="profileimage-set">
					  	<div class="setimage">
							<img class="wk-banner" alt=" <?php echo __('no image') ?>" src="<?php echo $helper->getMediaUrl().'avatar/'.$partner['banner_pic']; ?>"/>
							<?php
							$bannerpic = $partner['banner_pic']; 
							$logopic = $partner['logo_pic']; 
							if($bannerpic){
							?>
							<span class="wk-profileimagedelete" title="<?php echo __('Delete')?>">
							  	<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/deleteIcon.png'); ?>" alt="<?php echo __('Delete Image')?>" title="<?php echo __('Delete Image')?>"/>
							</span>
							<?php
							}?>
						</div>
					</div>
				</div>
			</div>					
			<div class="field profile">
				<label for="logo-pic"> <?php echo __('Company Logo') ?> </label>
				<?php
				if($profile_hint_status && $helper->getProfileHintLogo()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintLogo() ?>"/>
				<?php
				} ?>
				<div class="control">
					<input type="file" id="logo-pic" alt="no image" name="logo_pic" title="<?php echo __('Seller Logo')?>" class="input-text banner" size="26"/>
					<div class="logoimage-set">
					  	<div class="setimage">
							<img class="prev-img" src="<?php echo $helper->getMediaUrl().'avatar/'.$partner['logo_pic']; ?>"/>
							<?php
							if($logopic){
							?>
								<span class="wk-logoimagedelete" title="<?php echo __('Delete')?>">
								  	<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/deleteIcon.png'); ?>" alt="<?php echo __('Delete Image')?>" title="<?php echo __('Delete Image')?>"/>
								</span>
							<?php
							}?>
						</div>
					</div>
				</div>
			</div>
			<div class="field profile">
				<label for="company_locality"><?php echo __('Company Locality') ?></label>
				<?php
				if($profile_hint_status && $helper->getProfileHintLoc()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintLoc() ?>"/>
				<?php
				} ?>
				<div class="control">
					 <input type="text" id="company_locality" name="company_locality" value="<?php echo $partner['company_locality']; ?>" title="company_locality" class="input-text" />
				</div>
			</div>
			<div class="field profile">
				<label for="company_description"><?php echo __('Company Description') ?></label>
				<?php
				if($profile_hint_status && $helper->getProfileHintDesc()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintDesc() ?>"/>
				<?php
				} ?>
				<div class="control">
					 <textarea type="text" id="company_description" name="company_description" title="company_description" class="input-text compdesi" ><?php echo $partner['company_description']; ?> </textarea>
				</div>
			</div>
			<?php
			if($helper->getSellerPolicyApproval()){?>
				<div class="field profile">
					<label><?php echo __('Return Policy') ?></label>
					<?php
					if($profile_hint_status && $helper->getProfileHintReturnPolicy()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintReturnPolicy() ?>"/>
					<?php
					} ?>
					<div class="control">
						 <textarea type="text" id="return_policy" name="return_policy" title="return_policy" class="input-text compdesi" ><?php echo $partner['return_policy']; ?> </textarea>
					</div>
				</div>
				<div class="field profile">
					<label><?php echo __('Shipping Policy') ?></label>
					<?php
					if($profile_hint_status && $helper->getProfileHintShippingPolicy()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintShippingPolicy() ?>"/>
					<?php
					} ?>
					<div class="control">
						 <textarea type="text" id="shipping_policy" name="shipping_policy" title="shipping_policy" class="input-text compdesi" ><?php echo $partner['shipping_policy']; ?> </textarea>
					</div>
				</div>
			<?php
			} ?>
			<script>
				require([
				    'jquery',
				    'mage/adminhtml/wysiwyg/tiny_mce/setup'
				], function(jQuery){

					var config = '<?php echo $block->getWysiwygConfig() ?>',
					    editor;

					jQuery.extend(config, {
					    settings: {
					        theme_advanced_buttons1 : 'bold,italic,|,justifyleft,justifycenter,justifyright,|,' +
					            'fontselect,fontsizeselect,|,forecolor,backcolor,|,link,unlink,image,|,bullist,numlist,|,code',
					        theme_advanced_buttons2: null,
					        theme_advanced_buttons3: null,
					        theme_advanced_buttons4: null,
					        theme_advanced_statusbar_location: null
					    },
					    files_browser_window_url: false
					});

					editor = new tinyMceWysiwygSetup(
					    'company_description',
					    config
					);

					editor.turnOn();

					jQuery('#company_description')
				    .addClass('wysiwyg-editor')
				    .data(
				        'wysiwygEditor',
				        editor
				    );
				    <?php
					if($helper->getSellerPolicyApproval()){?>
						editor = new tinyMceWysiwygSetup(
						    'return_policy',
						    config
						);
						editor.turnOn();
					    jQuery('#return_policy')
					    .addClass('wysiwyg-editor')
					    .data(
					        'wysiwygEditor',
					        editor
					    );

					    editor = new tinyMceWysiwygSetup(
						    'shipping_policy',
						    config
						);
						editor.turnOn();
					    jQuery('#shipping_policy')
					    .addClass('wysiwyg-editor')
					    .data(
					        'wysiwygEditor',
					        editor
					    );
					<?php
					} ?>
				});
				</script>
			<div class="field profile">
				<label for="country_pic"> <?php echo __('Country') ?> </label>
				<?php
				if($profile_hint_status && $helper->getProfileHintCountry()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintCountry() ?>"/>
				<?php
				} ?>
				<div class="control">
					 <select name="country_pic" id="country-pic">
						<option value="" selected="selected" disabled="disabled"><?php echo __('Select Country')?></option>
					<?php foreach($block->getCountryOptionArray() as $country){?>
						<option <?php 
						if($country['value']!=''){
						echo ($partner['country_pic']==$country['value']?"selected='selected'":""); ?>value="<?php echo $country['value']; ?>"><?php echo $country['label'];?></option>
					<?php 
				      }
					} ?>
					</select>
					<img class="country_img_prev" alt="no image" src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/country/countryflags/')."/".strtoupper($partner['country_pic']==""?"xx":$partner['country_pic']).".png"; ?>"/>
				</div>
			</div>
			<div class="field profile">	
				<label for="meta_keywords"><?php echo __('Meta Keywords') ?></label>
				<label class="control-notification">(<?php echo __("Enter Meta Keywords Comma(',') Separated.."); ?>)</label>
				<?php
				if($profile_hint_status && $helper->getProfileHintMeta()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintMeta() ?>"/>
				<?php
				} ?>
				<div class="control">			
					<textarea type="text" id="meta_keywords" name="meta_keyword" title="Meta Keyword" class="input-text compdesi" ><?php echo $partner['meta_keyword']; ?> </textarea>
				</div>	
			</div>	
			<div class="field profile">	
				<label for="meta_description"><?php echo __('Meta Description') ?></label>	
				<?php
				if($profile_hint_status && $helper->getProfileHintMetaDesc()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintMetaDesc() ?>"/>
				<?php
				} ?>
				<div class="control">	
					<textarea type="text" id="meta_description" name="meta_description" title="Meta Description" class="input-text compdesi" ><?php echo $partner['meta_description']; ?> </textarea>	
				</div>	
			</div>
		</fieldset>
	</div>
</form>
<?php
if($helper->getUrlRewrite()){ ?>
	<br/><br/>
	<form action="<?php echo $block->getUrl('marketplace/account/rewriteUrlPost', ["_secure" => $this->getRequest()->isSecure()]) ?>" enctype="multipart/form-data" method="post" data-role="form-urlrewrite-validate" data-mage-init='{"validation":{}}'>
		<div class="page-title" style="width:100%;display:inline-block;">
		<h2 style="float:left;"><?php echo __('Edit Your Shop Url') ?></h1>
			<button class="button wk-mp-btn btn btn-primary" title="<?php echo __('Set Your New Shop Url') ?>" type="submit" style="float:right;">
				<span><span><?php echo __('Save Url') ?></span></span>
			</button>
		</div>
		<?php echo $block->getBlockHtml('formkey')?>
		<div class="wk-mp-design">
			<fieldset class="fieldset info wk-mp-fieldset">
				<legend class="legend"><span><?php echo __('Edit Your Shop Url') ?></span></legend>
				<div class="field">
					<label><?php echo __('Profile Page Target Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" value="<?php echo 'marketplace/seller/profile/shop/'.$partner['shop_url'] ?>" readonly/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Profile Page Request Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" name="profile_request_url" id="profile_request_url" value="<?php echo $helper->getRewriteUrlPath('marketplace/seller/profile/shop/'.$partner['shop_url']) ?>"/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Collection Page Target Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" value="<?php echo 'marketplace/seller/collection/shop/'.$partner['shop_url'] ?>" readonly/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Collection Page Request Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" name="collection_request_url" id="collection_request_url" value="<?php echo $helper->getRewriteUrlPath('marketplace/seller/collection/shop/'.$partner['shop_url']) ?>"/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Review Page Target Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" value="<?php echo 'marketplace/seller/feedback/shop/'.$partner['shop_url']; ?>" readonly/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Review Page Request Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" name="review_request_url" id="review_request_url" value="<?php echo $helper->getRewriteUrlPath('marketplace/seller/feedback/shop/'.$partner['shop_url']) ?>"/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Location Page Target Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" value="<?php echo 'marketplace/seller/location/shop/'.$partner['shop_url']; ?>" readonly/>
					</div>
				</div>
				<div class="field">
					<label><?php echo __('Location Page Request Url Path') ?></label>
					<div class="control">
						<input type="text" class="input-text" name="location_request_url" id="location_request_url" value="<?php echo $helper->getRewriteUrlPath('marketplace/seller/location/shop/'.$partner['shop_url']) ?>"/>
					</div>
				</div>	
			</fieldset>
		</div>	
	</form>
<?php
}
?>
<br/><br/>
<form action="<?php echo $block->getUrl('marketplace/account/savePaymentInfo', ["_secure" => $this->getRequest()->isSecure()]) ?>" enctype="multipart/form-data" method="post" data-role="form-payment-validate" data-mage-init='{"validation":{}}'>
	<div class="wk-mp-page-title page-title">
		<h2><?php echo __('Edit Payment Information') ?></h1>
		<button class="button wk-mp-btn btn btn-primary" title="<?php echo __('Save Payment') ?>" type="submit">
			<span><span><?php echo __('Save Payment') ?></span></span>
		</button>
	</div>
	<?php echo $block->getBlockHtml('formkey')?>
	<div class="wk-mp-design">
		<fieldset class="fieldset info wk-mp-fieldset">
			<legend class="legend"><span><?php echo __('Payment Information') ?></span></legend>
			<div class="field">
				<label><?php echo __('Payment Details') ?></label>
				<?php
				if($profile_hint_status && $helper->getProfileHintBank()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProfileHintBank() ?>"/>
				<?php
				} ?>
				<div class="control">
					<textarea class="input-text" name="payment_source" id="payment-source" title="payment source" cols="1" rows="3" ><?php echo $partner['payment_source']; ?></textarea>
					
				</div>
			</div>
		</fieldset>		
	</div>		
</form>
<br/><br/>
<?php echo $block->getChildHtml(); ?>
<div class="field profile">
	<div class="wk-profile-links">
		<a class="btn-primary btn "  href="<?php echo $helper->getRewriteUrl('marketplace/seller/profile/shop/'.$partner['shop_url']); ?>" target="_blank"><?php echo __('View Profile') ?></a>
	</div>
	<div class="wk-profile-links">
		<a class="btn-primary btn" href="<?php echo $helper->getRewriteUrl('marketplace/seller/collection/shop/'.$partner['shop_url']); ?>" target="_blank"><?php echo __('View Collection') ?></a>
	</div>
</div>
<div class="buttons-set">
	<p class="back-link">
		<a href="javascript:;" onclick="javascript: window.history.back();" class="left">&laquo; <?php echo __('Back') ?></a>
	</p>
</div>
<?php
$formData = [
    'countryPicSelector' => '#country-pic',
    'countryImgPrevSelector' => '.country_img_prev',
    'countryLatitudeSelector' => '#country-latitude',
    'countryLongitudeSelector' => '#country-longitude',
    'countryImgPrev' => $this->getViewFileUrl("Webkul_Marketplace::images/country/countryflags/"),
    'backgroundWidthSelector' => '#background_width',
    'logoPicSelector' => '#logo-pic',
    'bannerPicSelector' => '#banner-pic',
    //'leftButtonSelector' => '.left',
    'leftButtonSelector' => '.left-btn',
    'buttonsSetLastSelector' => '.buttons-set:last',
    'inputTextSelector' => '.input-text',
    'profileimageSetSpanSelector' => '.profileimage-set span',
    'bannerSelector' => '.wk-banner',
    'bannerDeleteAjaxUrl' => $block->getUrl('marketplace/account/deleteSellerBanner', ['_secure' => $this->getRequest()->isSecure()]),
    'setimageSelector' => '.setimage',
    'profileImageDeleteSelector' => '.wk-profileimagedelete img',
    'logoImageSetSpanSelector' => '.logoimage-set span',
    'logoSelector' => '.wk-logo',
    'logoDeleteAjaxUrl' => $block->getUrl('marketplace/account/deleteSellerLogo', ['_secure' => $this->getRequest()->isSecure()]),
    'logoImageDeleteSelector' => '.wk-logoimagedelete img'
];
$serializedFormData = $this->helper('Magento\Framework\Json\Helper\Data')->jsonEncode($formData);
?>

<script type="text/x-magento-init">
    {
        "*": {
            "editSellerProfile": <?php /* @noEscape */ echo $serializedFormData; ?>
        }
    }
</script>